org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.table

## Class TableContentMergeViewer

- java.lang.Object
- - org.eclipse.jface.viewers.Viewer
  - - org.eclipse.jface.viewers.ContentViewer
    - - org.eclipse.compare.contentmergeviewer.ContentMergeViewer
      - - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.EMFCompareContentMergeViewer
        - - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.table.TableContentMergeViewer

All Implemented Interfaces:
  org.eclipse.compare.contentmergeviewer.IFlushable, org.eclipse.compare.internal.IFlushable2, org.eclipse.compare.IPropertyChangeNotifier, org.eclipse.core.runtime.IAdaptable, CommandStackListener, ICompareColor.Provider, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.jface.viewers.ISelectionProvider

    public class TableContentMergeViewer
    extends EMFCompareContentMergeViewer

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.EMFCompareContentMergeViewer

`CENTER_WIDTH`

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

### Constructor Summary

Constructors
`protected` `TableContentMergeViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration config)` Call the super constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected AbstractMergeViewer` `createMergeViewer(org.eclipse.swt.widgets.Composite parent, IMergeViewer.MergeViewerSide side)` Creates the merge viewer for the given parent and the given side.
`protected TableMergeViewer` `getAncestorMergeViewer()`
`protected byte[]` `getContents(boolean left)`
`protected TableMergeViewer` `getLeftMergeViewer()`
`protected TableMergeViewer` `getRightMergeViewer()`
`protected void` `handleDispose(org.eclipse.swt.events.DisposeEvent event)`
`protected void` `paintCenter(org.eclipse.swt.graphics.GC g)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.EMFCompareContentMergeViewer

`colorChanged, commandStackChanged, copy, createCenterControl, createControls, createToolItems, doSave, editingDomainChange, flushContent, getAdapter, getCenterWidth, getCompareColor, getCompareConfiguration, getControl, getDifferenceFilterPredicate, getDifferenceGroupProvider, getDiffFrom, getEffectiveSide, getHandlerService, handleAdapterFactoryChange, handleDifferenceFiltersChange, handleDifferenceGroupProviderChange, handleEditingDomainChange, handleMirroredChanged, handlePropertyChangeEvent, handleResizeAncestor, handleResizeLeftRight, redrawCenterControl, selectionChanged, setContentProvider, updateContent`

### Methods inherited from class org.eclipse.compare.contentmergeviewer.ContentMergeViewer

`addPropertyChangeListener, buildControl, flush, flushLeft, flushRight, getCenterControl, getResourceBundle, getSelection, getTitle, getToolBarManager, handleCompareInputChange, handleSetFocus, hookControl, inputChanged, internalIsLeftDirty, internalIsRightDirty, isAncestorVisible, isLeftDirty, isLeftEditable, isRightDirty, isRightEditable, isThreeWay, refresh, removePropertyChangeListener, save, setConfirmSave, setLeftDirty, setRightDirty, setSelection, updateHeader, updateToolItems`

### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

`getContentProvider, getInput, getLabelProvider, handleLabelProviderChanged, labelProviderChanged, setInput, setLabelProvider`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableContentMergeViewer

    protected TableContentMergeViewer(org.eclipse.swt.widgets.Composite parent,
                                      EMFCompareConfiguration config)

Call the super constructor.

See Also:
  `TableContentMergeViewer`

### Method Detail

#### handleDispose

    protected void handleDispose(org.eclipse.swt.events.DisposeEvent event)

Overrides:
  `handleDispose` in class `EMFCompareContentMergeViewer`
See Also:
  `ContentMergeViewer.handleDispose(org.eclipse.swt.events.DisposeEvent)`

#### getContents

    protected byte[] getContents(boolean left)

Specified by:
  `getContents` in class `org.eclipse.compare.contentmergeviewer.ContentMergeViewer`
See Also:
  `ContentMergeViewer.getContents(boolean)`

#### getLeftMergeViewer

    protected TableMergeViewer getLeftMergeViewer()

Overrides:
  `getLeftMergeViewer` in class `EMFCompareContentMergeViewer`
Returns:
  the fLeft
See Also:
  `EMFCompareContentMergeViewer.getLeftMergeViewer()`

#### getRightMergeViewer

    protected TableMergeViewer getRightMergeViewer()

Overrides:
  `getRightMergeViewer` in class `EMFCompareContentMergeViewer`
Returns:
  the fRight
See Also:
  `EMFCompareContentMergeViewer.getRightMergeViewer()`

#### getAncestorMergeViewer

    protected TableMergeViewer getAncestorMergeViewer()

Overrides:
  `getAncestorMergeViewer` in class `EMFCompareContentMergeViewer`
Returns:
  the fAncestor
See Also:
  `EMFCompareContentMergeViewer.getAncestorMergeViewer()`

#### createMergeViewer

    protected AbstractMergeViewer createMergeViewer(org.eclipse.swt.widgets.Composite parent,
                                                    IMergeViewer.MergeViewerSide side)

Creates the merge viewer for the given parent and the given side.

Specified by:
  `createMergeViewer` in class `EMFCompareContentMergeViewer`
Parameters:
  `parent` - composite in which to create the merge viewer.
  `side` - the side of the new viewer.
Returns:
  a new merge viewer.
See Also:
  `EMFCompareContentMergeViewer.createMergeViewer(org.eclipse.swt.widgets.Composite, org.eclipse.emf.compare.rcp.ui.mergeviewer.IMergeViewer.MergeViewerSide)`

#### paintCenter

    protected void paintCenter(org.eclipse.swt.graphics.GC g)

Specified by:
  `paintCenter` in class `EMFCompareContentMergeViewer`
See Also:
  `org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.EMFCompareContentMergeViewer#paintCenter(org.eclipse.swt.widgets.Canvas, org.eclipse.swt.graphics.GC)`